Package org.gradle.api.reporting.model

# Enum Class ModelReport.Format

java.lang.Object
java.lang.Enum<ModelReport.Format>
org.gradle.api.reporting.model.ModelReport.Format

All Implemented Interfaces:
  `Serializable`, `Comparable<ModelReport.Format>`, `Constable`

Enclosing class:
  `ModelReport`

public static enum ModelReport.Format extends Enum<ModelReport.Format>
The report format.

- full (default value) will show details about types, rules and creators
- short will only show nodes and their values

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FULL`
`SHORT`

## Method Summary

Modifier and Type
Method
Description
`static ModelReport.Format`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ModelReport.Format[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FULL

public static final ModelReport.Format FULL

### SHORT

public static final ModelReport.Format SHORT

## Method Details

### values

public static ModelReport.Format[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ModelReport.Format valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null